> ## Documentation Index
> Fetch the complete documentation index at: https://developers.circle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get public keys

> Returns the public keys for validating attestations across all supported versions of CCTP.



## OpenAPI

````yaml openapi/cctp.yaml get /v2/publicKeys
openapi: 3.0.2
info:
  version: '1.0'
  title: Cross-Chain Transfer Protocol (CCTP)
  description: >
    Circle's Cross-Chain Transfer Protocol enables you to build seamless user
    experiences for sending and transacting USDC natively across blockchains.


    CCTP endpoints enable advanced capabilities such as fetching attestations
    for faster-than-finality burn events, verifying public keys across versions,
    accessing transaction details, querying Fast Transfer allowances and fees,
    and initiating re-attestation processes.
servers:
  - url: https://iris-api-sandbox.circle.com
  - url: https://iris-api.circle.com
security: []
tags:
  - name: CCTP
    description: Cross-Chain Transfer Protocol endpoints
  - name: CCTP V1 (Legacy)
    description: Legacy Cross-Chain Transfer Protocol endpoints
paths:
  /v2/publicKeys:
    get:
      tags:
        - CCTP
      summary: Get public keys
      description: >-
        Returns the public keys for validating attestations across all supported
        versions of CCTP.
      operationId: getPublicKeysV2
      responses:
        '200':
          description: >-
            Successfully retrieved a list of public keys with their respective
            CCTP versions.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicKeysV2Response'
              examples:
                response:
                  value:
                    publicKeys:
                      - publicKey: >-
                          0x04fc192351b97838713efbc63351e3b71607cc7fc0a74fadaa12d39a693713529bf392c0eeaff62eff2f06b47a4c7cd5f83159e4145444f817d5e7f24e256c6278
                        cctpVersion: 1
        '400':
          $ref: '#/components/responses/BadRequest'
components:
  schemas:
    PublicKeysV2Response:
      title: GetPublicKeysResponse
      type: object
      properties:
        publicKeys:
          type: array
          items:
            $ref: '#/components/schemas/PublicKey'
    PublicKey:
      type: object
      properties:
        publicKey:
          type: string
          example: >-
            0x04fc192351b97838713efbc63351e3b71607cc7fc0a74fadaa12d39a693713529bf392c0eeaff62eff2f06b47a4c7cd5f83159e4145444f817d5e7f24e256c6278
        cctpVersion:
          $ref: '#/components/schemas/CctpVersion'
    CctpVersion:
      type: integer
      enum:
        - 1
        - 2
      example: 2
    XRequestId:
      type: string
      format: uuid
      description: >-
        A unique identifier, which can be helpful for identifying a request when
        communicating with Circle support.
      example: 2adba88e-9d63-44bc-b975-9b6ae3440dde
  responses:
    BadRequest:
      content:
        application/json:
          schema:
            type: object
            title: BadRequestResponse
            required:
              - code
              - message
            properties:
              code:
                type: integer
                description: Code that corresponds to the error.
              message:
                type: string
                description: Message that describes the error.
            example:
              code: 400
              message: Bad request.
      description: Request cannot be processed due to a client error.
      headers:
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
  headers:
    XRequestId:
      description: >
        Developer-provided header parameter or Circle-generated universally
        unique identifier (UUID v4). Useful for identifying a specific request
        when communicating with Circle Support.
      schema:
        $ref: '#/components/schemas/XRequestId'

````